<div>
  <div class="ui-g-12">
    <h2>
      <span>Tanda Terima Keluar Internal</span>
      <button class="btn btn-primary float-right jh-create-entity create-tanda-terima"
        [routerLink]="['/tanda-terima-new-keluar-internal']">
        <span class="fa fa-plus"></span>
        <span class="hidden-sm-down"> Buat Tanda Terima Keluar Internal </span>
      </button>
    </h2>
  </div>
  <jhi-alert></jhi-alert>
  <div class="row">
    <div class="col-sm-12">
      <p-accordion>
        <p-accordionTab header="Filter" [selected]="false">
          <div class="row">
            <div class="ui-g-12">
              <div class="col-md-12">
                <div class="form-group">
                  <div class="ui-g-4">
                    <label class="form-control-label" for="field_PIC">Tanggal</label>
                  </div>
                  <div class="ui-g-4">
                    <p-calendar inputId="field_dtfrom" name="input_dtfrom" [(ngModel)]="dtfrom" dateFormat="dd-MM-yy"
                      [monthNavigator]="true" [yearNavigator]="true" yearRange="2000:2999" appendTo="body"></p-calendar>
                  </div>
                  <div class="ui-g-4">
                    <p-calendar inputId="field_dtthru" name="input_dtthru" [(ngModel)]="dtthru" dateFormat="dd-MM-yy"
                      [monthNavigator]="true" [yearNavigator]="true" yearRange="2000:2999" appendTo="body"></p-calendar>
                  </div>
                </div>

              </div>
            </div>

            <div class="ui-g-12">
              <div class="col-md-12">
                <div class="form-group">
                  <div class="ui-g-4">
                    <label for="form-control-label">Group</label>
                  </div>
                  <div class="ui-g-8">
                    <p-dropdown [options]="nama_pt" [(ngModel)]="inputNamaPT" id="field_PIC" [style]="{'width':'100%'}">
                    </p-dropdown>
                  </div>
                </div>
              </div>
            </div>

            <div class="ui-g-12">
              <div class="col-md-12">
                <div class="form-group">
                  <div class="ui-g-4">
                    <label for="form-control-label">Divisi Penerima</label>
                  </div>
                  <div class="ui-g-8">
                    <select [(ngModel)]="inputDivisi" id="field_PIC" style="width: 100%">
                      <option value="">Semua Divisi</option>

                      <!-- Grup berdasarkan label -->
                      <optgroup *ngFor="let group of divition" [label]="group.label">
                        <!-- Menampilkan item dalam grup -->
                        <option *ngFor="let item of group.items" [value]="item.value">
                          {{ item.label }}
                        </option>
                      </optgroup>
                    </select>
                  </div>
                </div>
              </div>
            </div>

            <div class="ui-g-12">
              <div class="col-md-12">
                <div class="form-group">
                  <div class="ui-g-4">
                    <label for="form-control-label">Status Pemeriksaan</label>
                  </div>
                  <div class="ui-g-8">
                    <p-dropdown [options]="status" [(ngModel)]="inputStatus" id="field_PIC" [style]="{'width':'100%'}">
                    </p-dropdown>
                  </div>
                </div>
              </div>
            </div>

            <div class="ui-g-12">
              <div class="col-md-6">
                <div class="form-group">
                  <button pButton type="submit" label="Filter" icon="fa-filter"
                    class="ui-button-primary flat-label-button" (click)="filter()"></button>
                  <button pButton label="Reset Filter" icon="fa-refresh" class="ui-button-primary flat-label-button"
                    (click)="reset()"></button>
                  <button pButton type="submit" label="Download Data" icon="fa-download"
                    class="ui-button-primary flat-label-button" (click)="download()"></button>
                </div>
              </div>
            </div>
          </div>
        </p-accordionTab>
      </p-accordion>
    </div>
    <div class="col-sm-12">
      <form name="searchForm" class="form-inline">
        <div class="input-group w-100 mt-3">
          <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch" name="currentSearch"
            placeholder="No Tanda Terima, Pembuat, Nama Pengirim" />
          <button class="input-group-addon btn btn-info" (click)="search(currentSearch)">
            <span class="fa fa-search"></span>
          </button>
          <button class="input-group-addon btn btn-danger" (click)="clear()" *ngIf="currentSearch">
            <span class="fa fa-trash-o"></span>
          </button>
        </div>
      </form>
    </div>
  </div>
  <br />
  <div>
    <p-dataTable [value]="tandaTerimas" [(selection)]="selected" [editable]="true" [rows]="itemsPerPage"
      [paginator]="true" [pageLinks]="5" [rowsPerPageOptions]="[10, 15, 20]" [totalRecords]="totalItems"
      [responsive]="true" [lazy]="true" [(first)]="first" row="itemsPerPage" totalRecords="totalItems"
      dataKey="idreceipt" expandableRows="false" (onLazyLoad)="loadDataLazy($event)" sortMode="multiple">
      <p-header>
        <div class="d-flex flex-row-reverse">
          <div class="nav-item">
            <div>
              <form name="searchForm" class="form-inline">
                <div class="input-group w-70 mt-2">
                  <div class="btn-filter-wrapper">
                    <button *ngIf="(divisi === 'SKG-RCP' || divisi === 'RCP' || divisi === 'SMK-RCP')"
                      (click)="createRequestScan()" type="button" class="btn btn-info btn-filter">
                      <span>Scan untuk Periksa</span>
                    </button>
                    &nbsp; &nbsp;
                  </div>
                </div>
              </form>
            </div>
          </div>

          <div class="nav-item">
            <div>
              <form name="searchForm" class="form-inline">
                <div class="input-group w-70 mt-2">
                  <div class="btn-filter-wrapper">
                    <button (click)="createRequestPrint()" [disabled]="selected?.length == 0" type="button"
                      class="btn btn-primary btn-filter">
                      <span>Print All</span>
                    </button>
                    &nbsp; &nbsp;
                  </div>
                </div>
              </form>
            </div>
          </div>

          <div class="nav-item" *ngIf="(divisi === 'RCP' || divisi === 'SKG-RCP' || divisi === 'SMK-RCP')">
            <div>
              <form name="searchForm" class="form-inline">
                <div class="input-group w-70 mt-2">
                  <div class="btn-filter-wrapper">
                    <button (click)="createKirim()" [disabled]="selected?.length == 0" type="button"
                      class="btn btn-success btn-filter">
                      <span>Update Kirim Paket</span>
                    </button>
                    &nbsp; &nbsp;
                  </div>
                </div>
              </form>
            </div>
          </div>
        </div>
      </p-header>
      <p-column selectionMode="multiple" [style]="{ width: '38px' }"></p-column>
      <p-column header="No" [style]="{ width: '70px', 'text-align': 'center' }">
        <ng-template let-rowIndex="rowIndex" pTemplate="body">
          {{ rowIndex + 1 }}
        </ng-template>
      </p-column>
      <p-column header="Nomor Tanda Kirim">
        <ng-template let-rowData="rowData" pTemplate="body">
          {{ rowData.receiptno.substring(2) }}
        </ng-template>
      </p-column>
      <p-column header="Tanggal">
        <ng-template let-rowData="rowData" pTemplate="body">
          {{ rowData.dtreceipt | date: "dd/MM/yyyy" }}
        </ng-template>
      </p-column>
      <p-column header="Pembuat">
        <ng-template let-rowData="rowData" pTemplate="body">
          {{ rowData.createdby }}
        </ng-template>
      </p-column>
      <p-column header="Pengirim">
        <ng-template let-rowData="rowData" pTemplate="body">
          {{ rowData.nama_pengirim }}
        </ng-template>
      </p-column>
      <p-column header="Penerima">
        <ng-template let-rowData="rowData" pTemplate="body">
          {{ rowData.nama_penerima2 }}
        </ng-template>
      </p-column>
      <p-column header="Jenis Dokumen">
        <ng-template let-rowData="rowData" pTemplate="body">
          {{ rowData.jenis_dokumen }}
        </ng-template>
      </p-column>
      <p-column header="Jumlah Dokumen" [style]="{'text-align': 'center'}">
        <ng-template let-rowData="rowData" pTemplate="body">
          {{ rowData.jumlah_dokumen }}
        </ng-template>
      </p-column>
      <p-column header="Status Dokumen">
        <ng-template let-rowData="rowData" pTemplate="body">
          <span *ngIf="rowData.iscek === 0"> Paket Dibuat </span>
          <span *ngIf="rowData.iscek === 1"> Paket Diperiksa</span>
          <span *ngIf="rowData.iscek === 2"> Paket Dipickup Supir </span>
          <span *ngIf="rowData.iscek === 3"> Paket Dibatalkan </span>
          <span *ngIf="rowData.iscek === 4"> Paket Diterima User</span>
        </ng-template>
      </p-column>
      <p-column header="Alasan Cancel">
        <ng-template let-rowData="rowData" pTemplate="body">
          <ng-container *ngIf="rowData.dtcancel">
            {{ rowData.cancelby }} ({{ rowData.dtcancel | date: 'dd-MM-yyyy' }}) : {{ rowData.alasan_cancel }}
          </ng-container>
        </ng-template>
      </p-column>
      <p-column header="Penerima Paket">
        <ng-template let-rowData="rowData" pTemplate="body">
          <ng-container *ngIf="rowData.tanggal_terima">
            {{ rowData.reciveby }} ({{ rowData.tanggal_terima | date: 'dd-MM-yyyy' }})
          </ng-container>
        </ng-template>
      </p-column>
      <p-column header="Action" [style]="{ width: '150px', 'text-align': 'center' }">
        <ng-template let-rowData="rowData" pTemplate="body">
          <div>
            <button pButton type="button" [routerLink]="[
                    '../tanda-terima-edit-keluar-internal-skg/0/' + page + '/' + rowData.idreceipt + '/true'
                  ]" icon="fa-eye" class="flat-button" pTooltip="Lihat Tanda Terima"></button>
            <button pButton type="button" [disabled]="rowData.createdby !== currentUser || rowData.iscek !== 0"
              [routerLink]="[
                  '../tanda-terima-edit-keluar-internal-skg/0/' + page + '/' + rowData.idreceipt + '/false'
                ]" icon="fa-pencil" class="flat-button" pTooltip="Edit Tanda Terima"></button>
            <button pButton type="button" icon="fa-print" class="flat-button" (click)="printTT(rowData)"
              pTooltip="Print Tanda Terima"></button>
            <button pButton type="button" icon="fa fa-close" class="flat-button" (click)="cancelTTRCP(rowData)"
              pTooltip="Cancel Tanda Terima"
              [disabled]="
              ( (divisi === 'SMK-RCP' || divisi === 'SKG-RCP' || divisi === 'RCP') && (rowData.iscek === 2 || rowData.iscek === 3 || rowData.iscek === 4) ) 
              || 
              ( (currentUser === 'SKG314' || currentUser==='SKG213') && (rowData.iscek !== 0 && currentUser === rowData.createdby) ) 
              || 
              ( (divisi !== 'SMK-RCP' && divisi !== 'SKG-RCP' && divisi !== 'RCP') && (rowData.iscek !== 0 && currentUser === rowData.createdby) ) 
            ">
            </button>
            <button pButton type="button" icon="fa fa-history" class="flat-button" (click)="HistoryTT(rowData)"
              pTooltip="History Tanda Terima">
            </button>
          </div>
  </div>
  </ng-template>
  </p-column>
  <ng-template let-rowData let-rowIndex="rowIndex" pTemplate="rowexpansion">
  </ng-template>
  </p-dataTable>
</div>
</div>
<p-dialog header="Catatan Cancel" [(visible)]="newModalNote1" modal="true" [width]="700">
  <form name="notesForm" role="form" novalidate (ngSubmit)="modalCancelTT()" #editForm="ngForm">
    <div class="card-deck" style="margin: 25px;">
      <jhi-alert-error></jhi-alert-error>
      <textarea pInputTextarea class="form-control" id="field_cancelnote" name="cancelnote" [rows]="5" [cols]="30"
        autoResize="autoResize" [(ngModel)]="noteCancelTT" required>
              </textarea>
    </div>
    <div class="modal-footer">
      <button pButton type="submit" label="Pilih" icon="fa-save" class="ui-button-primary flat-label-button">
      </button>
    </div>
  </form>
</p-dialog>

<p-dialog header="Scan Tanda Terima" [(visible)]="newModalScan" modal="true" [width]="700" (onHide)="backapp()">
  <form name="notesForm" role="form" novalidate #editForm="ngForm">
    <div class="card-deck" style="margin: 25px;">
      <jhi-alert-error></jhi-alert-error>
      <div class="ui-g-12">
        <div class="ui-g-2">
          <label for="nott">No Tanda Terima</label>
        </div>
        <div class="ui-g-10">
          <input #notttField type="text" id="nottt" placeholder="Scan QR Code atau Ketikkan no Tanda Terima"
            name="nottt" [(ngModel)]="nottt" class="form-control" (keydown)="onKeyDown($event)">
        </div>
      </div>
    </div>
    <div class="modal-footer">
      <button pButton type="button" label="Close" icon="fa-close" class="ui-button-primary flat-label-button"
        (click)="backapp()">
      </button>
    </div>
  </form>
</p-dialog>

<p-dialog header="History Tanda Terima" [(visible)]="newModalHistory" modal="true" [width]="1000"
  (onHide)="backappHistory()">
  <form name="lihatpo" role="form" novalidate #editForm="ngForm">
    <div>
      <p-dataTable [value]="historyTT" [editable]="true" [rows]="itemsPerPage" [paginator]="false" [pageLinks]="5"
        [rowsPerPageOptions]="[10,15,20]" [totalRecords]="totalItems" [responsive]="true" [lazy]="true"
        row="itemsPerPage" totalRecords="totalItems" dataKey="idstatus" expandableRows="false" rowHover="true"
        (onLazyLoad)="loadDataLazy($event)" sortMode="multiple">
        <p-header>
          <div class="d-flex flex-row-reverse">
          </div>
        </p-header>
        </p-column>
        <p-column header="No" [style]="{'width': '70px', 'text-align': 'center'}">
          <ng-template let-rowIndex="rowIndex" pTemplate="body">
            {{rowIndex + 1}}
          </ng-template>
        </p-column>
        <p-column header="Tanggal">
          <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.dtfrom | date: "dd/MM/yyyy H:mm:ss"}}
          </ng-template>
        </p-column>
        <p-column header="Status Tanda Terima">
          <ng-template let-rowData="rowData" pTemplate="body">
            <span *ngIf="rowData.statustype === 0"> Paket Dibuat </span>
            <span *ngIf="rowData.statustype === 1"> Paket Diperiksa</span>
            <span *ngIf="rowData.statustype === 2"> Paket Dipickup Supir </span>
            <span *ngIf="rowData.statustype === 3"> Paket Dibatalkan </span>
            <span *ngIf="rowData.statustype === 4"> Paket Diterima User</span>
          </ng-template>
        </p-column>
        <p-column header="User">
          <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.author}}
          </ng-template>
        </p-column>
        <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
        </ng-template>
      </p-dataTable>
    </div>
  </form>
</p-dialog>
<p-confirmDialog header="Information" icon="fa fa-info"></p-confirmDialog>